package com.guams.review.model.dao;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.sql.Timestamp;
import java.util.UUID;

@Getter
@Setter
@Accessors(chain = true)
public class PostWithAuthor {
    private UUID authorId;
    private String authorName;
    private byte[] authorProfilePicture;
    private String role;
    private Long postId;
    private String postDescription;
    private byte[] postIllustration;
    private String postTitle;
    private String postBody;
    private String postCategory;
    private Timestamp postPublicationDate;
    private Boolean postIsUpdated;
}
